nvme_identify_nsid_ctrl_list(2)

NAME
nvme_identify_nsid_ctrl_list - Retrieves controller list attached to an nsid

SYNOPSIS
int nvme_identify_nsid_ctrl_list (int fd , __u32 nsid , __u16 cntid , struct nvme_ctrl_list *cntlist );

ARGUMENTS

fd  File descriptor of nvme device

nsid
    Return controllers that are attached to this nsid

cntid
    Starting CNTLID to return in the list

cntlist
    User space destination address to transfer the data

DESCRIPTION
Up to 2047 controller identifiers are returned containing a controller identifier greater than or equal to the controller identifier specified in cntid attached to nsid.

See struct nvme_ctrl_list for a definition of the structure returned.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1